%define	nam             rxvt
%define	ver             2.7.7
%define	rel             b1

%define serial          2003031501

%define _prefix         /usr/X11R6
%define _datadir        /usr/X11R6
%define _sysconfdir     /etc/X11

Summary:        rxvt - terminal emulator in an X window
Summary(zh_CN): rxvt - ͼδµģն.
Name:           %{nam}
Version:        %{ver}
Release:        %{rel}
License:        GPL
Group:          User Interface/X
Source0:        http://prdownloads.sourceforge.net/rxvt/%{name}-%{version}.tar.bz2
Source1:        rxvt.wmconfig
Source2:        Rxvt.C
Source3:        Rxvt.ja_JP.eucJP
Source4:        Rxvt.zh_CN
Source5:        Rxvt.zh_TW
Source6:        Rxvt.ko_KR.eucKR
Patch0:         rxvt-2.7.7-zh.patch
Patch1:         rxvt-2.7.6-installdirs.patch
Patch2:         rxvt-2.7.7-xim.patch
Patch3:         rxvt-2.7.7-iso2022fix.patch
Patch4:         rxvt-2.7.7-tt_printf.patch
Patch5:         rxvt-2.7.6-numpad.patch
URL:            http://www.rxvt.org
Serial:         %{serial}
BuildRoot:      /var/tmp/%{name}-%{version}-root
##PreReq:		ncurses lang-extra
PreReq:		ncurses
#NoSource: 0
BuildArchitectures: i586

Summary(de):        rxvt - Terminal-Emulator in einem X-Fenster
Summary(fr):        rxvt - un emulateur de terminal pour X window


%description
Rxvt is a VT100 terminal emulator for X.  It is intended as a replacement
for xterm(1) for users who do not require the more esoteric features of
xterm.  Specifically rxvt does not implement the Tektronix 4014 emulation,
session logging and toolkit style configurability.  As a result, rxvt uses
much less swap space than xterm - a significant advantage on a machine
serving many X sessions.


%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q
%patch0 -p1 -b .zh
%patch1 -p1 -b .installdirs
%patch2 -p1 -b .xim
%patch3 -p1 -b .iso2022fix
%patch4 -p1 -b .tt_printf
%patch5 -p1 -b .numpad


%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--enable-languages \
	--with-encoding=noenc \
	--enable-utmp --enable-wtmp --enable-lastlog\
	--enable-xpm-background \
	--enable-transparency \
	--enable-menubar \
	--enable-graphics \
	--enable-rxvt-scroll --enable-next-scroll --enable-xterm-scroll \
	--enable-half-shadow \
	--enable-xim \
	--enable-greek \
	--enable-ttygid \
	--disable-backspace-key --disable-delete-key \
	--enable-xgetdefault \
	--disable-strings \
	--enable-swapscreen \
	--enable-frills \
	--enable-linespace \
	--enable-24bit \
	--enable-keepscrolling \
	--enable-mousewheel \
	--enable-slipwheeling \
	--enable-old-selection \
	--enable-new-selection \
	--disable-dmalloc \
	--disable-dlmalloc \
	--disable-smart-resize \
	--with-term=rxvt \
	--with-x \
	--with-xpm
make


%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

install -d -m 755 ${RPM_BUILD_ROOT}%{_sysconfdir}/wmconfig
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/wmconfig/rxvt

install -d -m 755 ${RPM_BUILD_ROOT}%{_prefix}/lib/X11/app-defaults
install -m 644 ${RPM_SOURCE_DIR}/Rxvt.C \
	${RPM_BUILD_ROOT}%{_prefix}/lib/X11/app-defaults/Rxvt
for locale in ja_JP.eucJP zh_CN zh_TW ko_KR.eucKR
do
  install -d -m 755 ${RPM_BUILD_ROOT}%{_prefix}/lib/X11/$locale/app-defaults
  install -m 644 ${RPM_SOURCE_DIR}/Rxvt.$locale \
	${RPM_BUILD_ROOT}%{_prefix}/lib/X11/$locale/app-defaults/Rxvt
done


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
if [ -x /usr/bin/tic ] && [ -f %{_docdir}/%{name}-%{version}/etc/rxvt.terminfo ]; then
	/usr/bin/tic %{_docdir}/%{name}-%{version}/etc/rxvt.terminfo
fi


%files
%defattr(-,root,root)
%doc ChangeLog INSTALL rxvt-%{version}.lsm
%doc doc/README* doc/*.txt doc/*.html doc/xterm.seq doc/FAQ
%doc doc/etc/ doc/menu/
%config(missingok) %{_sysconfdir}/wmconfig/rxvt
%attr(4755,root,root) %{_bindir}/rxvt
%{_bindir}/rclock
%{_mandir}/man*/*
%{_prefix}/lib/X11/*/app-defaults/Rxvt
%{_prefix}/lib/X11/app-defaults/Rxvt
# don't install static libs
#%{_libdir}/librxvt.a
#%{_libdir}/librxvt.a


%changelog
* Tue Sep 2 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from Turbo Linux (ftp://ftp.turbolinux.co.jp/pub/TurboLinux/stable/untested/Server/8/SRPMS/)
- rxvt-2.7.7-3.src.rpm
